# Intended Purpose

This program runs while the device is being run and catches the unique ID's sent over serial, transforming them into the full debug messages based on the content of the preprocessor output file.

## Usage
 
Currently it takes 4 arguments, the location of the `References.txt` file, the COM port to open, the desired baudrate, and the test string to send over the com port. There are other things that could be added in future but this is enough for now.

## Compilation

From the parent folder, `make build_rsvr`, or:

`gcc -o Receiver/app.exe Receiver/main.c Receiver/SerialComms.c -I Receiver -Wall --pedantic`

## Running

There are default arguments already loaded but these can be changed and just need to have alternatives put in on running the program.

| Option         | Argument | Desfault       | Description                                                     |
|----------------|----------|----------------|-----------------------------------------------------------------|
| Reference File | -R       | References.txt | Directory to the references file with the debug symbols/strings |
| COM Port       | -C       | COM1           | Name of the COM port to listen on                               |
| Baudrate       | -B       | 115200         | Baudrate of the COM port                                        |
| Test string    | -T       | Test String    | Test string to be printed to the COM port                       |
|                |          |                |                                                                 |