#ifndef SERIALCOMMS_H
#define SERIALCOMMS_H

#include <stdio.h>
#include <Windows.h>
#include <stdint.h>

typedef enum serialReturnCode
{
	SERIAL_RETURN_OK,
	SERIAL_READ_ERROR,
	SERIAL_BUFFER_NOT_FULLY_READ,
	SERIAL_PORT_NOT_OPENED,
	SERIAL_DCB_ERROR,
	SERIAL_STATE_RETRIEVAL_ERROR
} serialReturnCode;

serialReturnCode OpenSerialPort(HANDLE *, char *, unsigned long);
serialReturnCode SendOverSerial(HANDLE *, char *, BOOL);
serialReturnCode ReceiveOverSerial(HANDLE *, char *, uint8_t);

#endif