#ifndef REFERENCES_FILE_INFO_H
#define REFERENCES_FILE_INFO_H

#include <stdint.h>
#include <stdbool.h>

/**
 * @brief This struct holds metadata about the references file which is in the first line of the file. It will be extended in time to include more metadata as required.
 * 
 */
typedef struct
{
	uint8_t version_major;
	uint8_t version_minor;
	uint8_t number_debug_messages;
	uint16_t max_line_length;
} referencesFileHeader;

#endif